## rstatd 3.03

=== Makefile ===
# Make file for modified rpc.rstatd see README for details.
         CC = gcc 
     RPCGEN = /local/bin/rpcgen
     CFLAGS = -O2 -pipe -fomit-frame-pointer $(OPTIONS)
    LDFLAGS = 
     BINDIR = /usr/bin
    SBINDIR = /usr/sbin
     MANDIR = /usr/man
     RPCLIB = # -lrpclib 
    OPTIONS = -DNORPCLIB -DNET_IFACE=\"eth0\"

all: rpc.rstatd rup rsysinfo

install: all
	install -m 644 -o root -g root  rstat.h /usr/include/rpcsvc
	install -m 644 -o root -g root  rstat.x /usr/include/rpcsvc
	install -m 750 -o root -g bin  rpc.rstatd $(SBINDIR)/rpc.rstatd
	install -m 755 -o root -g bin  rup $(BINDIR)/rup
	install -m 755 -o root -g bin rsysinfo $(BINDIR)/rsysinfo
	install -m 644 -o root -g bin rstatd.8 $(MANDIR)/man8/rstatd.8
	install -m 644 -o root -g bin rpc.rstatd.8 $(MANDIR)/man1/rpc.rstatd.8
	install -m 644 -o root -g bin rup.1 $(MANDIR)/man1/rup.1
	install -m 644 -o root -g bin rsysinfo.1 $(MANDIR)/man1/rsysinfo.1

rpc.rstatd : rstat_srvc.o rstat_xdr.o rstat_proc.o
	$(CC) rstat_srvc.o rstat_xdr.o rstat_proc.o -o $@ $(RPCLIB)

rup : rup.o rstat_clnt.o rstat_xdr.o rstat.h 
	$(CC) rup.o rstat_clnt.o rstat_xdr.o -o $@ $(RPCLIB)

rsysinfo : rsysinfo.o rstat_clnt.o rstat_xdr.o rstat.h 
	$(CC) rsysinfo.o rstat_clnt.o rstat_xdr.o -o $@ $(RPCLIB)

rstat.h rstat_clnt.c rstat_xdr.c : rstat.x
	$(RPCGEN) rstat.x
	-rm -f rstat_svc.c

%.o : %.c rstat.h
	$(CC) -c $(CFLAGS) $< -o $@

patch : clnt.h.diff
	patch -u /usr/include/rpc/clnt.h clnt.h.diff

unpatch : clnt.h.diff
	patch -u -R /usr/include/rpc/clnt.h clnt.h.diff

clean:
	-rm -f rpc.rstatd rstat rup rsysinfo *.o core a.out
	-rm -f rstat.h rstat_clnt.c rstat_svc.c rstat_xdr.c
