## rstatd 4.0.1

=== debian/changelog ===
rstatd (4.0.1-8) unstable; urgency=low

  * Fix "03-627217-netio.patch breaks RPC protocol compatibility"
    Remove 03-627217-netio.patch
    Closes: #698632

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 08 Feb 2013 11:53:00 +1100

rstatd (4.0.1-7) unstable; urgency=low

  * Enable hardened build flags
    Add 04-fix-no-format.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jun 2012 19:45:28 +1000

rstatd (4.0.1-6) unstable; urgency=low

  * Standards version is 3.9.3
  * DH compatibility level is 9
  * Defaults to get_*26 for kernel version >= 2.6
    Patch by Salvatore Bonaccorso
    Closes: #676720

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 09 Jun 2012 18:12:10 +1000

rstatd (4.0.1-5) unstable; urgency=low

  * Standards version is 3.9.2
  * Debian source format is 3.0 (quilt)
    Add 01-legacy.patch
  * Work with 3.x Linux kernels
    Add 02-654276-get_disk26.patch
    Patch by Thomas Lange
    Closes: 654276
  * Don't report false ethernet rx/tx values
    Add 03-627217-netio.patch
    Patch by Thomas Koch and Christian Oetzel
    Closes: 627217
  * Don't depend on portmap, depend on rcpbind instead
    Closes: 564267
  * Fix maintainer-script-without-set-e
  * Fix copyright-refers-to-symlink-license
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 08 Jan 2012 13:19:16 +1100

rstatd (4.0.1-4) unstable; urgency=low

  * Reduce log verbosity; closes: #418969 
  * Standards version is 3.8.1
  * Set DH_COMPAT to 7
  * Run dh_prep instead of dh_clean -k

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Jun 2009 16:38:48 +1000

rstatd (4.0.1-3) unstable; urgency=low

  * Updated debian/watch. Closes: #449831
  * Fixed the following lintian issues:
    - rstatd source: debian-rules-sets-DH_COMPAT line 6
    - rstatd source: debian-rules-ignores-make-clean-error line 30
    - rstatd source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - rstatd: maintainer-script-needs-depends-on-update-inetd postinst
    - rstatd: maintainer-script-needs-depends-on-update-inetd prerm
    - rstatd: description-contains-homepage
    - rstat-client: description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 06 Apr 2008 11:14:18 +1000

rstatd (4.0.1-2ubuntu1) feisty; urgency=low

  * debian/control: Add update-inetd to rstatd's dependencies
    (Closes Ubuntu: #76146).
  * debian/control: Add openbsd-inetd | inet-superserver dependencies
    as rstatd needs an inet server to work

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 17 Dec 2006 14:55:17 +0100

rstatd (4.0.1-2) unstable; urgency=low

  * The namelen parameter should be initialized to indicate the
    amount of space pointed to by name. Closes: #363641, #324551,
    #336588. Patch by Pete Harlan <harlan@artselect.com>.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Oct 2006 20:07:14 +1000

rstatd (4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Fixed "diff-contains-substvars debian/substvars".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 04 Jul 2006 19:50:05 +1000

rstatd (4.0-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.6.2 added homepage to description.
  * Fixed lintian warning "package-uses-deprecated-debhelper-compat-
    version 1".
  * Added watch file.
  * Updated FSF mail address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 27 Nov 2005 18:17:50 +1100

rstatd (3.07-4) unstable; urgency=low

  * New maintainer's email address.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 Feb 2005 20:19:28 +1100

rstatd (3.07-3) unstable; urgency=low

  * New maintainer.

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Thu, 20 May 2004 10:18:17 +1000

rstatd (3.07-2) unstable; urgency=low

  * Dropped libc6-dev build-dependency.

 -- Herbert Xu <herbert@debian.org>  Fri, 13 Jun 2003 23:15:43 +1000

rstatd (3.07-1) unstable; urgency=low

  * New upstream release (closes: #195794).
  * Updated upstream location.

 -- Herbert Xu <herbert@debian.org>  Mon,  9 Jun 2003 15:23:09 +1000

rstatd (3.03-7) unstable; urgency=low

  * Added libc6-dev to build-time dependency for rpcgen (closes: #108179).

 -- Herbert Xu <herbert@debian.org>  Fri, 10 Aug 2001 07:30:19 +1000

rstatd (3.03-6) unstable; urgency=low

  * Fixed the "year" bug for both v3 and v5 (closes: #92587).

 -- Herbert Xu <herbert@debian.org>  Sat, 14 Apr 2001 14:42:07 +1000

rstatd (3.03-5) unstable; urgency=low

  * Uptimes greater than a year is now displayed correctly (closes: #92587).
  * FHS compliance adjustments (closes: #91039, #91059).

 -- Herbert Xu <herbert@debian.org>  Tue,  3 Apr 2001 21:50:46 +1000

rstatd (3.03-4) unstable; urgency=low

  * Depend on portmap (closes: #72093, #72742).
  * Added build-time dependencies.
  * Fixed spelling error in rsysinfo (closes: #72734).

 -- Herbert Xu <herbert@debian.org>  Fri, 29 Sep 2000 11:49:50 +1100

rstatd (3.03-3) unstable; urgency=low

  * Restrict the output to 80 columns (closes: #62168).
  * Support multiple hosts on the command line (closes: #56486).

 -- Herbert Xu <herbert@debian.org>  Wed, 12 Apr 2000 17:50:05 +1000

rstatd (3.03-2) frozen unstable; urgency=low

  * Changed Sun-OS to SunOS in rup(1) (closes: #56488).

 -- Herbert Xu <herbert@debian.org>  Mon, 20 Mar 2000 08:45:23 +1100

rstatd (3.03-1) unstable; urgency=low

  * Initial Release (fixes #44886).

 -- Herbert Xu <herbert@debian.org>  Sun,  5 Sep 1999 19:08:21 +1000
