=== debian/control ===
Source: rstatd
Section: net
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Standards-Version: 3.9.3
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9)
Homepage: http://rstatd.sourceforge.net/

Package: rstatd
Architecture: any
Depends: netbase, rpcbind | netbase (<< 4.00), update-inetd, openbsd-inetd | inet-superserver, ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Description: displays uptime information for remote machines
 This allows other machines on your local network to get information about
 your computer - especially uptime.  This will allow you to use the rup(1)
 command.

Package: rstat-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: netstd
Description: client for rstatd
 This package contains rup(1) and rsysinfo(1), clients for rstatd.
