=== debian/watch ===
version=3
http://sf.net/rstatd/ rpc.rstatd-(.+)\.tar\.gz
